import { OfficeMetadata } from '../../models/viewer.interfaces';
import { AbstractViewerComponent } from '../abstract/abstract.viewer.component';
import * as i0 from "@angular/core";
export declare class OfficeComponent extends AbstractViewerComponent<OfficeMetadata> {
    #private;
    readonly environmentData: {
        office: {
            path: string;
            reloadOffset: number;
        };
    };
    timeTrigger: import("@angular/core").WritableSignal<string | null>;
    isDocumentUpdating: import("@angular/core").WritableSignal<boolean>;
    params: {
        name: string;
    };
    downloadPath: string | null;
    dashletIsLoading: import("@angular/core").Signal<boolean>;
    dashletIsAvailable: import("@angular/core").WritableSignal<boolean | undefined>;
    onMessage(event: MessageEvent): void;
    srcPath: import("@angular/core").Signal<string | null>;
    static ɵfac: i0.ɵɵFactoryDeclaration<OfficeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<OfficeComponent, "yuv-office", never, {}, {}, never, never, true, never>;
}
